Bug 29705 - Test suite has some IssuingRules left-overs
Summary: Test suite has some IssuingRules left-overs
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 18936
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-15 21:18 UTC by Fridolin Somers
Modified: 2022-05-06 20:34 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29705: In test suite merge IssuingRules with CirculationRules (28.48 KB, patch)
2021-12-15 21:22 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 29705: In test suite merge IssuingRules with CirculationRules (28.54 KB, patch)
2022-01-05 23:48 UTC, Samu Heiskanen
Details | Diff | Splinter Review
Bug 29705: In test suite merge IssuingRules with CirculationRules (28.62 KB, patch)
2022-01-07 11:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29705: In test suite merge IssuingRules with CirculationRules (30.06 KB, patch)
2022-01-14 08:10 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 29705: In test suite merge IssuingRules with CirculationRules (30.10 KB, patch)
2022-04-30 22:30 UTC, David Nind
Details | Diff | Splinter Review
Bug 29705: In test suite merge IssuingRules with CirculationRules (30.16 KB, patch)
2022-05-06 08:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-12-15 21:18:42 UTC
After Bug 18936, in test suite, there is still t/db_dependent/Koha/IssuingRules.t and t/db_dependent/Koha/IssuingRules/
We should merge with CirculationRules.

Also we should rename in :
  use constant GUESSED_ITEMTYPES_KEY => 'Koha_IssuingRules_last_guess';
Comment 1 Fridolin Somers 2021-12-15 21:22:36 UTC
Created attachment 128577 [details] [review]
Bug 29705: In test suite merge IssuingRules with CirculationRules

After Bug 18936, in test suite, there is still t/db_dependent/Koha/IssuingRules.t and t/db_dependent/Koha/IssuingRules/
This patch moves IssuingRules.t inside CirculationRules.t and renames
dir t/db_dependent/Koha/IssuingRules.
And adds DB transation in each first-level subtest.

Also renames in :
  use constant GUESSED_ITEMTYPES_KEY => 'Koha_IssuingRules_last_guess';

Test plan :
Run prove t/db_dependent/Koha/CirculationRules.t
and prove t/db_dependent/Koha/CirculationRules/*
Comment 2 Samu Heiskanen 2022-01-05 23:48:52 UTC
Created attachment 129045 [details] [review]
Bug 29705: In test suite merge IssuingRules with CirculationRules

After Bug 18936, in test suite, there is still t/db_dependent/Koha/IssuingRules.t and t/db_dependent/Koha/IssuingRules/
This patch moves IssuingRules.t inside CirculationRules.t and renames
dir t/db_dependent/Koha/IssuingRules.
And adds DB transation in each first-level subtest.

Also renames in :
  use constant GUESSED_ITEMTYPES_KEY => 'Koha_IssuingRules_last_guess';

Test plan :
Run prove t/db_dependent/Koha/CirculationRules.t
and prove t/db_dependent/Koha/CirculationRules/*

Signed-off-by: Samu Heiskanen <samu.heiskanen@hypernova.fi>
Comment 3 Jonathan Druart 2022-01-07 11:21:01 UTC
Created attachment 129138 [details] [review]
Bug 29705: In test suite merge IssuingRules with CirculationRules

After Bug 18936, in test suite, there is still t/db_dependent/Koha/IssuingRules.t and t/db_dependent/Koha/IssuingRules/
This patch moves IssuingRules.t inside CirculationRules.t and renames
dir t/db_dependent/Koha/IssuingRules.
And adds DB transation in each first-level subtest.

Also renames in :
  use constant GUESSED_ITEMTYPES_KEY => 'Koha_IssuingRules_last_guess';

Test plan :
Run prove t/db_dependent/Koha/CirculationRules.t
and prove t/db_dependent/Koha/CirculationRules/*

Signed-off-by: Samu Heiskanen <samu.heiskanen@hypernova.fi>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Fridolin Somers 2022-01-14 07:55:34 UTC
Oups

t/db_dependent/Koha/IssuingRules.t fails.
We can remove the file.

And there is still t/db_dependent/Koha/IssuingRules/guess_article_requestable_itemtypes.t.
We should simply rename forder.
Comment 5 Fridolin Somers 2022-01-14 08:00:41 UTC
(In reply to Fridolin Somers from comment #4)
> Oups
> 
> t/db_dependent/Koha/IssuingRules.t fails.
> We can remove the file.
> 
> And there is still
> t/db_dependent/Koha/IssuingRules/guess_article_requestable_itemtypes.t.
> We should simply rename forder.

I mean t/db_dependent/Circulation/IssuingRules
I move maxsuspensiondays.t to parent folder and remove IssuingRules folder
Comment 6 Fridolin Somers 2022-01-14 08:10:56 UTC
Created attachment 129464 [details] [review]
Bug 29705: In test suite merge IssuingRules with CirculationRules

After Bug 18936, in test suite, there is still t/db_dependent/Koha/IssuingRules.t and t/db_dependent/Koha/IssuingRules/
This patch moves IssuingRules.t inside CirculationRules.t and renames dir t/db_dependent/Koha/IssuingRules.
And adds DB transation in each first-level subtest.

Also renames in :
  use constant GUESSED_ITEMTYPES_KEY => 'Koha_IssuingRules_last_guess';

Test plan :
Run prove t/db_dependent/Koha/CirculationRules.t
prove t/db_dependent/Koha/CirculationRules/*
prove t/db_dependent/Circulation/maxsuspensiondays.t
Comment 7 David Nind 2022-04-30 22:30:28 UTC
Created attachment 134439 [details] [review]
Bug 29705: In test suite merge IssuingRules with CirculationRules

After Bug 18936, in test suite, there is still t/db_dependent/Koha/IssuingRules.t and t/db_dependent/Koha/IssuingRules/
This patch moves IssuingRules.t inside CirculationRules.t and renames dir t/db_dependent/Koha/IssuingRules.
And adds DB transation in each first-level subtest.

Also renames in :
  use constant GUESSED_ITEMTYPES_KEY => 'Koha_IssuingRules_last_guess';

Test plan :
Run prove t/db_dependent/Koha/CirculationRules.t
prove t/db_dependent/Koha/CirculationRules/*
prove t/db_dependent/Circulation/maxsuspensiondays.t

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 Katrin Fischer 2022-05-06 07:58:14 UTC
I tried testing here, but the QA test tools get stuck again having me end up on qa-current-commit branch with untracekd files in 
t/db_dependent/Koha/CirculationRules/  :(
Comment 9 Katrin Fischer 2022-05-06 08:06:05 UTC
Created attachment 134682 [details] [review]
Bug 29705: In test suite merge IssuingRules with CirculationRules

After Bug 18936, in test suite, there is still t/db_dependent/Koha/IssuingRules.t and t/db_dependent/Koha/IssuingRules/
This patch moves IssuingRules.t inside CirculationRules.t and renames dir t/db_dependent/Koha/IssuingRules.
And adds DB transation in each first-level subtest.

Also renames in :
  use constant GUESSED_ITEMTYPES_KEY => 'Koha_IssuingRules_last_guess';

Test plan :
Run prove t/db_dependent/Koha/CirculationRules.t
prove t/db_dependent/Koha/CirculationRules/*
prove t/db_dependent/Circulation/maxsuspensiondays.t

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 10 Fridolin Somers 2022-05-06 20:34:03 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄